6.0.0-git
2019-04-24

[#8515] Switching http protocols during session breaks URL generation.
Summary Switching http protocols during session breaks URL generation.
Queue Horde Framework Packages
Queue Version FRAMEWORK_3
Type Bug
State Resolved
Priority 1. Low
Owners Horde Developers (at)
Requester mrubinsk (at) horde (dot) org
Created 2009-08-21 (3533 days ago)
Due
Updated 2009-09-02 (3521 days ago)
Assigned
Resolved 2009-09-02 (3521 days ago)
Milestone
Patch No

History
2009-09-02 03:14:55 Michael Slusarz State ⇒ Resolved
 
2009-09-02 03:14:41 CVS Commit Comment #8 Reply to this comment
2009-09-02 03:14:10 CVS Commit Comment #7 Reply to this comment
2009-08-21 14:33:08 Jan Schneider Comment #6 Reply to this comment
Makes sense to me. This should also simplify the url building in 
Horde:: a lot, because we only have to tackle the port if it is set in 
the configuration.
2009-08-21 14:00:24 Michael Rubinsky Comment #5 Reply to this comment
Well, that was easy :)



Setting the default value to an empty string seems to fix things...so 
I guess we should change that to the default?
2009-08-21 13:46:39 Jan Schneider Comment #4 Reply to this comment
How about simply leaving the default empty?
2009-08-21 13:39:02 Michael Rubinsky Comment #3 Reply to this comment
I had always assumed this was by design (not being able to do this) 
due to my own experience with it. While helping someone in IRC, 
however, I had told them it was not possible to switch mid-session and 
was told by Chuck that it should be possible unless secure cookies 
were enabled. Once I knew it *should* be possible, I was able to track 
down what was causing the weird behavior.



This also bites me *all* the time when I have a Horde window open (I 
always use https, but do not force it) to upload images, or author a 
blog entry, then try to view my horde-driven website, or any other 
page with horde-generated embedded content. The links are always 
broken because they contain the wrong port number for the protocol 
being used.
2009-08-21 07:30:28 Jan Schneider Comment #2 Reply to this comment
Why would you want to switch protocols anyway? There is one place 
where we already do this, so it's possible: you can use HTTPS for 
login only.
2009-08-21 00:57:33 Michael Rubinsky Comment #1
Type ⇒ Bug
State ⇒ Assigned
Priority ⇒ 1. Low
Summary ⇒ Switching http protocols during session breaks URL generation.
Queue ⇒ Horde Framework Packages
Assigned to Horde DevelopersHorde Developers
Milestone ⇒
Patch ⇒ No
Reply to this comment
Switching from https -> http or the reverse causes full url generation 
to break:



The default value for $conf[server][port] is $_SERVER[SERVER_PORT], so 
once you login under https the value is set to 443. If you then switch 
protocols, since the config is cached in the session, that value is 
now wrong.



Not sure of the correct fix, but I'm thinking maybe we need to set the 
value of conf[server][port] on every page load in 
Registry::importConfig()?

Saved Queries